### Method

# Gtk SearchBar set_show_close_button

#### Declaration [src]

    void
    gtk_search_bar_set_show_close_button (
      GtkSearchBar* bar,
      gboolean visible
    )

#### Description [src]

Shows or hides the close button.

Applications that already have a “search” toggle button should not show a close button in their search bar, as it duplicates the role of the toggle button.

Sets property | `Gtk.SearchBar:show-close-button`

#### Parameters

`visible` | `gboolean`
| Whether the close button will be shown or not.